Skip to content
Start here

Respond to Invitation

PATCH/user/invites/{invite_id}

Responds to an invitation.

Security

API Email + API Key

The previous authorization scheme for interacting with the Cloudflare API, used in conjunction with a Global API key.

Example:X-Auth-Email: user@example.com

The previous authorization scheme for interacting with the Cloudflare API. When possible, use API tokens instead of Global API keys.

Example:X-Auth-Key: 144c9defac04969c7bfad8efaa8ea194
Accepted Permissions (at least one required)
Memberships Write
Path ParametersExpand Collapse
invite_id: string

Invite identifier tag.

maxLength32
Body ParametersJSONExpand Collapse
status: "accepted" or "rejected"

Status of your response to the invitation (rejected or accepted).

One of the following:
"accepted"
"rejected"
ReturnsExpand Collapse
errors: array of object { code, message, documentation_url, source }
code: number
minimum1000
message: string
documentation_url: optional string
source: optional object { pointer }
pointer: optional string
messages: array of object { code, message, documentation_url, source }
code: number
minimum1000
message: string
documentation_url: optional string
source: optional object { pointer }
pointer: optional string
success: true

Whether the API call was successful.

result: optional Invite { invited_member_id, organization_id, id, 8 more }
invited_member_id: string

ID of the user to add to the organization.

maxLength32
organization_id: string

ID of the organization the user will be added to.

maxLength32
id: optional string

Invite identifier tag.

maxLength32
expires_on: optional string

When the invite is no longer active.

formatdate-time
invited_by: optional string

The email address of the user who created the invite.

maxLength90
invited_member_email: optional string

Email address of the user to add to the organization.

maxLength90
invited_on: optional string

When the invite was sent.

formatdate-time
organization_is_enforcing_twofactor: optional boolean
organization_name: optional string

Organization name.

maxLength100
roles: optional array of string

List of role names the membership has for this account.

status: optional "pending" or "accepted" or "rejected" or "expired"

Current status of the invitation.

One of the following:
"pending"
"accepted"
"rejected"
"expired"

Respond to Invitation

curl https://api.cloudflare.com/client/v4/user/invites/$INVITE_ID \
    -X PATCH \
    -H 'Content-Type: application/json' \
    -H "X-Auth-Email: $CLOUDFLARE_EMAIL" \
    -H "X-Auth-Key: $CLOUDFLARE_API_KEY" \
    -d '{
          "status": "accepted"
        }'
{
  "errors": [
    {
      "code": 1000,
      "message": "message",
      "documentation_url": "documentation_url",
      "source": {
        "pointer": "pointer"
      }
    }
  ],
  "messages": [
    {
      "code": 1000,
      "message": "message",
      "documentation_url": "documentation_url",
      "source": {
        "pointer": "pointer"
      }
    }
  ],
  "success": true,
  "result": {
    "invited_member_id": "5a7805061c76ada191ed06f989cc3dac",
    "organization_id": "5a7805061c76ada191ed06f989cc3dac",
    "id": "4f5f0c14a2a41d5063dd301b2f829f04",
    "expires_on": "2014-01-01T05:20:00Z",
    "invited_by": "user@example.com",
    "invited_member_email": "user@example.com",
    "invited_on": "2014-01-01T05:20:00Z",
    "organization_is_enforcing_twofactor": true,
    "organization_name": "Cloudflare, Inc.",
    "roles": [
      "Account Administrator"
    ],
    "status": "accepted"
  }
}
Returns Examples
{
  "errors": [
    {
      "code": 1000,
      "message": "message",
      "documentation_url": "documentation_url",
      "source": {
        "pointer": "pointer"
      }
    }
  ],
  "messages": [
    {
      "code": 1000,
      "message": "message",
      "documentation_url": "documentation_url",
      "source": {
        "pointer": "pointer"
      }
    }
  ],
  "success": true,
  "result": {
    "invited_member_id": "5a7805061c76ada191ed06f989cc3dac",
    "organization_id": "5a7805061c76ada191ed06f989cc3dac",
    "id": "4f5f0c14a2a41d5063dd301b2f829f04",
    "expires_on": "2014-01-01T05:20:00Z",
    "invited_by": "user@example.com",
    "invited_member_email": "user@example.com",
    "invited_on": "2014-01-01T05:20:00Z",
    "organization_is_enforcing_twofactor": true,
    "organization_name": "Cloudflare, Inc.",
    "roles": [
      "Account Administrator"
    ],
    "status": "accepted"
  }
}